{% extends 'base.html.twig' %}

{% block title %}Hello!{% endblock %}

{% block body %}

    <main>
        <div class="container">
            <div>
                <h3>Zu folgenden Tagen sind Daten verfügbar:</h3>
            </div>
            <div>
                <table class="table table-borderless table-striped table-sm">
                    <thead>
                    <tr>
                        <th scope="col">Tag</th>
                        <th scope="col">Aktion</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for date in dates %}
                    <tr>
                        <td>{{date}}</td>
                        <td>
                            <a href="{{ path('app_timetablemodificationadmin_timetablemodificationlistdate', {date: date}) }}" class="btn btn-success btn-sm" role="button">Bearbeiten</a>
                            <a href="{{ path('app_timetablemodificationadmin_timetablemodificationdeletebydate', {date: date}) }}" class="btn btn-danger btn-sm" role="button">Löschen</a>
                        </td>
                    </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
            <div>
                <a href="{{ path('app_timetablemodificationadmin_timetablemodificationimportxml') }}" class="btn btn-outline-primary btn-lg" role="button">XML Datei einlesen</a>
                <a href="{{ path('app_timetablemodificationadmin_timetablemodificationadd') }}" class="btn btn-outline-primary btn-lg" role="button">Daten einfügen</a>
            </div>
        </div>
    </main>

{% endblock %}
